<?php
	include '../conexion.php';
    session_start();
?>

<div class="table-container">
    <?php
    $suc= $_POST['sucursal'];
    $sql_valida=NULL;
    $dato=null;
    $tabla=null;

    if($suc=='1'){
        $dato='TIJUANA%';
        $tabla='_tij';
    }else if($suc=='2'){
        $dato='ENSENADA%';
        $tabla='_ens';
    }else if($suc=='3'){
        $dato='MEXICALI%';
        $tabla='_mxl';
    }
    $sql_valida = mysqli_query($connection, "SELECT * FROM uni_movimientos WHERE uni_tipomov_idtipoMovUni=4 AND fechaMov='" . $_POST['fecha'] . "' and dato2 like '".$dato."'");
    $result_valida = mysqli_num_rows($sql_valida);

    if ($result_valida > 0) {
        $x='datos_entrega'.$tabla;
        //$sql_uniformes = mysqli_query($connection, "SELECT * FROM datos_entregas_2 WHERE uni_tipomov_idtipoMovUni=4 AND fechaMov='" . $_POST['fecha'] . "' GROUP BY idmovimientosUni ORDER BY idmovimientosUni DESC");
        $sql_uniformes = mysqli_query($connection, "SELECT * FROM datos_entregas_2 WHERE uni_tipomov_idtipoMovUni=4 AND fechaMov='" . $_POST['fecha'] . "' and ubicacion='".$_POST['sucursal']."'");
        $result_uniformes = mysqli_num_rows($sql_uniformes); ?>
        <table border='1' style='width:100%;'>
            <thead>
                <tr>
                    <th style='width:20px;'>ID</th>
                    <th style='width:20px;'>Fecha Entrega</th>
                    <th style='width:20px;'>Numero Empleado</th>
                    <th style='width:200px;'>Nombre</th>
                    <th style='width:200px;'>Ubicación</th>
                </tr>
            </thead>
            <tbody>
                <?php
                if ($result_uniformes > 0) {
                    while ($data = mysqli_fetch_array($sql_uniformes)) { ?>
                        <tr data-id="<?php echo $data['idmovimientosUni']; ?>" onclick="selectRow(this)">
                            <td><?php echo $data['idmovimientosUni']; ?></td>
                            <td><?php echo $data['fechaMov']; ?></td>
                            <td><?php echo $data['num_emp']; ?></td>
                            <td><?php echo $data['dato1']; ?></td>
                            <td><?php echo $data['dato2']; ?></td>
                        </tr>
                    <?php }
                } ?>
            </tbody>
        </table>
        <table border='1' style='width:100%;'>
            <tr>
                <td style='text-align:right;'>
                
                <button id='cancelar' onclick="imprimirMovimiento()">Imprimir Movimiento</button>    
                <button id='cancelar' onclick="cancelMovement()">Cancelar Movimiento</button>
                </td>
            </tr>
        </table>
    <?php } else { ?>
        <table border='1' style='width:100%;'>
            <tr>
                <td colspan='5' style='text-align:center;color:RED;'>No hay datos</td>
            </tr>
        </table>
    <?php } ?>
</div>

<script>
    let selectedRow = null;

    function selectRow(row) {
        if (selectedRow) {
            selectedRow.style.backgroundColor = '';
        }
        selectedRow = row;
        row.style.backgroundColor = 'lightgray';
    }

    function cancelMovement() {
        if (selectedRow) {
            const id = selectedRow.getAttribute('data-id');
            const xhr = new XMLHttpRequest();
            xhr.open('POST', 'cancelar_movimiento.php', true);
            xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    alert(xhr.responseText);
                    location.reload();
                }
            };
            xhr.send('id=' + id);
        } else {
            alert('Por favor, selecciona una fila primero.');
        }
    }
    function imprimirMovimiento() {
        if (selectedRow) {
            const id = selectedRow.getAttribute('data-id');
            // Construir la URL con los parámetros
            var params = 'id=' + encodeURIComponent(id);
            var url = 'imprimir_entrega.php?' + params;

            // Abrir una nueva ventana con la URL
            var width = 800; // Ancho de la ventana emergente
            var height = 600; // Altura de la ventana emergente
            var left = (screen.width / 2) - (width / 2);
            var top = (screen.height / 2) - (height / 2);
            window.open(url, 'Imprimir Inventario', 'width=' + width + ',height=' + height + ',top=' + top + ',left=' + left);
        } else {
            alert('Por favor, selecciona una fila primero.');
        }
    }
</script>

                